Bug 197246 - hald segfault with pci-e mobo and USB devices
hald segfault with pci-e mobo and USB devices
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 13:06 EDT by Oliver Schulze L.
Modified: 2012-06-20 09:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workaround for usb crash (1.08 KB, patch)
2007-05-06 02:34 EDT, John Newbigin
no flags Details | Diff

  None (edit)
Description Oliver Schulze L. 2006-06-29 13:06:58 EDT
Description of problem:
hald segfaults with kernel 2.6.17

Version-Release number of selected component (if applicable):
hal-0.4.2-3.EL4


How reproducible:
Boot with kernel 2.6.17 with sata_via patch on a PCI-e motherboard


Steps to Reproduce:
1. run hald --daemon=no
2.
3.
  
Actual results:
hald segfaults with:
# hald --daemon=no
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/computer
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_287a
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_287b
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3288
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_287d
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_287c
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3065
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_287e
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3287
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3038
Segmentation fault



Expected results:
hald not to segfault

Additional info:
The problem seems to be while detecting USB devices

# hald --daemon=no --verbose=yes 2>&1|tail -n 25
13:13:46.274 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
13:13:46.276 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
13:13:46.285 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/pci_1106_3287
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3287
13:13:46.286 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
13:13:46.288 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_1106_3287
13:13:46.289 [I] linux/osspec.c:793: handling
/sys/devices/pci0000:00/0000:00:10.3 pci
13:13:46.296 [I] device_info.c:1160: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
13:13:46.296 [I] device_info.c:1160: scan_fdi_files: Processing file
'ide-drives.fdi'
13:13:46.296 [E] device_info.c:803:
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi:50:2: Element <device> can only
be inside <deviceinfo>
13:13:46.296 [E] device_info.c:711: Aborting parsing of document
13:13:46.296 [E] device_info.c:1091: Error parsing XML document
/usr/share/hal/fdi/20freedesktop/ide-drives.fdi at line 51, column 2 :
mismatched tag
13:13:46.296 [I] device_info.c:1160: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
13:13:46.296 [I] device_info.c:1160: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
13:13:46.297 [I] device_info.c:1160: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
13:13:46.297 [I] device_info.c:1160: scan_fdi_files: Processing file 'sony_dsc.fdi'
13:13:46.297 [I] device_info.c:1160: scan_fdi_files: Processing file
'usb-zip-drives.fdi'
13:13:46.297 [I] device_info.c:1160: scan_fdi_files: Processing file
'storage-policy.fdi'
13:13:46.298 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
13:13:46.300 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
13:13:46.309 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/pci_1106_3038
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/pci_1106_3038
13:13:46.310 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
13:13:46.312 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_1106_3038
13:13:46.312 [I] linux/osspec.c:793: handling
/sys/devices/pci0000:00/0000:00:10.3/usb4 usb
Comment 1 John Newbigin 2007-05-06 02:10:19 EDT
I see a simalar crash on my PC:
16:08:54.128 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/pci_8086_265c
16:08:54.136 [I] linux/osspec.c:793: handling
/sys/devices/pci0000:00/0000:00:1d.7/usb1 usb
Segmentation fault
Comment 2 John Newbigin 2007-05-06 02:16:18 EDT
Program received signal SIGSEGV, Segmentation fault.
0x0805df5e in usb_device_pre_process (self=0x80796e0, d=0x92f5518,
sysfs_path=0x9308950 "/sys/devices/pci0000:00/0000:00:1d.7/usb1", device=0x931bb30)
    at linux/usb_bus_device.c:826
826                     len = strlen (cur->value);
(gdb) print *cur
$4 = {name = "uevent", '\0' <repeats 43 times>, path =
"/sys/devices/pci0000:00/0000:00:1d.7/usb1/uevent", '\0' <repeats 206 times>,
value = 0x0,
  len = 0, method = 2}

cur->value is NULL.  Could be the same as other hal bugs.
Comment 3 John Newbigin 2007-05-06 02:34:05 EDT
Created attachment 154223 [details]
workaround for usb crash

This is a workaround.  There may be a more correct fix. All my USB devices do
seem to be shown by hal-device-manager so it might be OK
Comment 4 Oliver Schulze L. 2007-07-17 02:17:36 EDT
WFM, using RHEL5 now.

Can someone mark as WFM ? tks
Comment 5 Jiri Pallich 2012-06-20 09:24:22 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.